Skip to content

Get identity source details ​

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.

Get identity source details through identity source ID, and specify tenant ID filtering.

Method name ​

ManagementClient.get_ext_idp

Request parameters ​

NameTypeRequiredDefault valueDescriptionSample value
idstringyes-Identity source ID6268b0e5e4b9a0e8ffa8fd60
tenantIdstringno-Tenant ID60b49eb83fd80adb96f26e68
appIdstringno-Application ID60b49eb83fd80adb96f26e68
typestringNo-Identity source type

Request Response ​

Type: ExtIdpDetailSingleRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (not returned for successful requests). For a detailed list of error codes, please see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a ExtIdpDetailResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "id": "60b49eb83fd80adb96f26e68",
    "name": "default",
    "logo": "https://files.authing.co/authing-console/social-connections/wechatIdentitySource.svg",
    "tenantId": "60b49eb83fd80adb96f26e68",
    "type": "wechat",
    "autoJoin": true
  }
}

Data Structure ​

ExtIdpDetail ​

nametypeIs this field required?DescriptionSample value
idstringyesIdentity source id60b49eb83fd80adb96f26e68
namestringyesIdentity source namedefault
logostringyesIdentity source logohttps://files.authing.co/authing-console/social-connections/wechatIdentitySource.svg
tenantIdstringnoTenant id60b49eb83fd80adb96f26e68
typestringyesIdentity source typewechat
connectionsobjectyesConnection list of identity source
autoJoinbooleanyesAutomatically join in tenant scenariotrue